## r-cran-waveslim 1.7.5.1

=== DESCRIPTION ===
Package: waveslim
Version: 1.7.5.1
Date: 2014-12-21
Title: Basic Wavelet Routines for One-, Two- And Three-Dimensional
        Signal Processing
Author: Brandon Whitcher
Maintainer: Brandon Whitcher <bwhitcher@gmail.com>
Depends: R (>= 2.11.0), graphics, grDevices, stats, utils
Suggests: fftw
Description: Basic wavelet routines for time series (1D), image (2D) 
  and array (3D) analysis.  The code provided here is based on
  wavelet methodology developed in Percival and Walden (2000);
  Gencay, Selcuk and Whitcher (2001); the dual-tree complex wavelet
  transform (DTCWT) from Kingsbury (1999, 2001) as implemented by
  Selesnick; and Hilbert wavelet pairs (Selesnick 2001, 2002).  All
  figures in chapters 4-7 of GSW (2001) are reproducible using this 
  package and R code available at the book website(s) below.
License: BSD_3_clause + file LICENSE
URL: http://waveslim.blogspot.com,
        http://www2.imperial.ac.uk/~bwhitche/book
NeedsCompilation: yes
Packaged: 2019-01-26 16:15:41 UTC; hornik
Repository: CRAN
Date/Publication: 2019-01-26 16:48:57 UTC

## r-cran-waveslim 1.7.5

=== debian/changelog ===
r-cran-waveslim (1.7.5-1build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:27:51 +0000

r-cran-waveslim (1.7.5-1) unstable; urgency=medium

  * Initial release (closes: #892506)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Mar 2018 22:42:52 +0100

=== debian/control ===
Source: r-cran-waveslim
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waveslim
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waveslim.git
Homepage: https://cran.r-project.org/package=waveslim

Package: r-cran-waveslim
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R wavelet routines for 1-, 2- and 3-D signal processing
 Basic wavelet routines for time series (1D), image (2D)
 and array (3D) analysis.  The code provided here is based on
 wavelet methodology developed in Percival and Walden (2000);
 Gencay, Selcuk and Whitcher (2001); the dual-tree complex wavelet
 transform (DTCWT) from Kingsbury (1999, 2001) as implemented by
 Selesnick; and Hilbert wavelet pairs (Selesnick 2001, 2002).  All
 figures in chapters 4-7 of GSW (2001) are reproducible using this
 package and R code available at the book website(s) below.

## r-cran-waveslim 1.7.5.1

=== debian/changelog ===
r-cran-waveslim (1.7.5.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 11:18:19 +0100

r-cran-waveslim (1.7.5-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers.
  * Standards-Version: 4.2.1.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 01 Dec 2018 17:45:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: r-cran-waveslim
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waveslim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waveslim.git
 Homepage: https://cran.r-project.org/package=waveslim

## r-cran-waveslim 1.7.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: waveslim
-Version: 1.7.5.1
+Version: 1.7.5.2
 Date: 2014-12-21
 Title: Basic Wavelet Routines for One-, Two- And Three-Dimensional
         Signal Processing
 Author: Brandon Whitcher
-Maintainer: Brandon Whitcher <bwhitcher@gmail.com>
+Maintainer: ORPHANED
 Depends: R (>= 2.11.0), graphics, grDevices, stats, utils
 Suggests: fftw
 Description: Basic wavelet routines for time series (1D), image (2D) 
@@ -19,6 +19,9 @@
 URL: http://waveslim.blogspot.com,
         http://www2.imperial.ac.uk/~bwhitche/book
 NeedsCompilation: yes
-Packaged: 2019-01-26 16:15:41 UTC; hornik
+Packaged: 2020-02-16 12:06:44 UTC; ripley
 Repository: CRAN
-Date/Publication: 2019-01-26 16:48:57 UTC
+Date/Publication: 2020-02-16 12:11:46 UTC
+X-CRAN-Original-Maintainer: Brandon Whitcher <bwhitcher@gmail.com>
+X-CRAN-Comment: Orphaned and corrected on 2020-02-16 as there was no
+        response to repeated requests.

=== debian/changelog ===
r-cran-waveslim (1.7.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 23 Feb 2020 20:39:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waveslim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waveslim.git
 Homepage: https://cran.r-project.org/package=waveslim

## r-cran-waveslim 1.8.2

=== DESCRIPTION ===
Package: waveslim
Version: 1.8.2
Date: 2020-02-13
Title: Basic Wavelet Routines for One-, Two-, and Three-Dimensional
        Signal Processing
Author: Brandon Whitcher
Maintainer: Brandon Whitcher <bwhitcher@gmail.com>
Depends: R (>= 2.11.0), graphics, grDevices, stats, utils
Suggests: fftw, covr
Description: Basic wavelet routines for time series (1D), image (2D) 
  and array (3D) analysis.  The code provided here is based on
  wavelet methodology developed in Percival and Walden (2000);
  Gencay, Selcuk and Whitcher (2001); the dual-tree complex wavelet
  transform (DTCWT) from Kingsbury (1999, 2001) as implemented by
  Selesnick; and Hilbert wavelet pairs (Selesnick 2001, 2002).  All
  figures in chapters 4-7 of GSW (2001) are reproducible using this 
  package and R code available at the book website(s) below.
License: BSD_3_clause + file LICENSE
URL: http://waveslim.blogspot.com
biocViews:
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2020-02-13 20:03:03 UTC; brandon
Repository: CRAN
Date/Publication: 2020-03-13 10:20:02 UTC

=== debian/changelog ===
r-cran-waveslim (1.8.2-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:37:47 +0000

r-cran-waveslim (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 14:07:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waveslim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waveslim.git
 Homepage: https://cran.r-project.org/package=waveslim
+Rules-Requires-Root: no
 
 Package: r-cran-waveslim
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/waveslim_([-\d.]*)\.tar\.gz

## r-cran-waveslim 1.8.4

=== DESCRIPTION ===
Package: waveslim
Version: 1.8.4
Date: 2022-08-13
Title: Basic Wavelet Routines for One-, Two-, and Three-Dimensional
        Signal Processing
Author: Brandon Whitcher
Maintainer: Brandon Whitcher <bwhitcher@gmail.com>
Depends: R (>= 2.11.0), graphics, grDevices, stats, utils
Suggests: fftw, covr
Description: Basic wavelet routines for time series (1D), image (2D) and array 
  (3D) analysis.  The code provided here is based on wavelet methodology 
  developed in Percival and Walden (2000); Gencay, Selcuk and Whitcher (2001); 
  the dual-tree complex wavelet transform (DTCWT) from Kingsbury (1999, 2001) as
  implemented by Selesnick; and Hilbert wavelet pairs (Selesnick 2001, 2002).  
  All figures in chapters 4-7 of GSW (2001) are reproducible using this package 
  and R code available at the book website(s) below.
License: BSD_3_clause + file LICENSE
URL: https://waveslim.blogspot.com
RoxygenNote: 7.2.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2022-08-14 08:56:01 UTC; brandon
Repository: CRAN
Date/Publication: 2022-08-14 11:40:02 UTC

=== debian/changelog ===
r-cran-waveslim (1.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.4

 -- Nilesh Patra <nilesh@debian.org>  Fri, 19 Aug 2022 18:38:31 +0530

r-cran-waveslim (1.8.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2022 16:03:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-waveslim
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waveslim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waveslim.git
 Homepage: https://cran.r-project.org/package=waveslim
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-waveslim
 Architecture: any

## r-cran-waveslim 1.8.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: waveslim
-Version: 1.8.4
-Date: 2022-08-13
+Version: 1.8.5
+Date: 2024-06-02
 Title: Basic Wavelet Routines for One-, Two-, and Three-Dimensional
         Signal Processing
 Author: Brandon Whitcher
 Maintainer: Brandon Whitcher <bwhitcher@gmail.com>
-Depends: R (>= 2.11.0), graphics, grDevices, stats, utils
+Depends: R (>= 2.11.0), graphics, grDevices, stats, utils, multitaper
 Suggests: fftw, covr
 Description: Basic wavelet routines for time series (1D), image (2D) and array 
   (3D) analysis.  The code provided here is based on wavelet methodology 
@@ -16,9 +16,9 @@
   and R code available at the book website(s) below.
 License: BSD_3_clause + file LICENSE
 URL: https://waveslim.blogspot.com
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-08-14 08:56:01 UTC; brandon
+Packaged: 2024-06-03 18:31:59 UTC; brandon
 Repository: CRAN
-Date/Publication: 2022-08-14 11:40:02 UTC
+Date/Publication: 2024-06-04 13:20:03 UTC

=== debian/changelog ===
r-cran-waveslim (1.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * New build-dependency: r-cran-multitaper

 -- Charles Plessy <plessy@debian.org>  Mon, 17 Mar 2025 13:46:16 +0900

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-waveslim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-waveslim.git
 Homepage: https://cran.r-project.org/package=waveslim
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
+               r-base-dev,
+               r-cran-multitaper
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-waveslim
